Updates token details, image, socials and tokenomics. Past draft, Harness can change only the image, description and links.
Updates token details, image, socials and tokenomics. Past draft, Harness can change only the image, description and links.
bearer In: header
multipart/form-data
TypeScript Definitions
Use the request body type in TypeScript.
application/json
curl -X PATCH "https://example.com/tokens/string/authoring"{ "market": { "chainId": 0, "tokenAddress": "string", "poolAddress": "string", "quoteCurrency": "usd", "status": "ready", "fetchedAt": "2019-08-24T14:15:22Z", "price": "string", "marketCap": "string", "fdv": "string", "volume24h": "string", "liquidity": "string", "change24h": 0 }, "description": "string", "initialPrice": 0, "address": "string", "launchReservedAt": "2019-08-24T14:15:22Z", "imagePath": "string", "website": "string", "telegram": "string", "instagram": "string", "twitter": "string", "youtube": "string", "tiktok": "string", "discord": "string", "reddit": "string", "linkedIn": "string", "projects": [ { "usesExistingToken": true, "remixAllowed": true, "remixRoyaltyBps": 0, "parent": { "projectId": "5a8591dd-4039-49df-9202-96385ba3eff8", "releaseId": "829d5913-a352-42a5-be6f-1526f30c0c85", "tokenId": "string", "name": "string" }, "remixCount": 0, "authoringKind": "legacy", "tokenId": "07dfef4c-e677-4ce6-87a3-cd348338445f", "preparedReleaseId": "string", "publishedReleaseId": "string", "frontendUrl": "string", "methods": [ "string" ], "name": "string", "data": {}, "htmlGameOpsEnabled": true, "autoSwapsEnabled": true, "images": [ { "name": "string", "path": "string" } ], "appTemplate": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "url": "http://example.com", "schema": {}, "images": [ { "name": "string", "maxSize": 0 } ], "files": [ { "name": "string", "maxSize": 0 } ], "isEnabled": true, "previewImage": "string", "sortOrder": 0 }, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "files": [ { "name": "string", "path": "string" } ], "status": "live" } ], "competitions": [ { "id": "string", "name": "string", "startDate": "2019-08-24T14:15:22Z", "endDate": "2019-08-24T14:15:22Z", "createdAt": "string", "updatedAt": "string", "tokens": [ { "id": "string" } ], "isActive": true, "description": "string", "publishedAt": "string", "rewardsDistributed": true, "distributionStrategy": { "id": "string", "name": "string", "type": "PRO_RATA", "description": "string", "config": { "totalPool": 0, "eligibleCount": 0, "multipliers": { "property1": 0, "property2": 0 } }, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } } ], "buybackAddress": "string", "pairAddress": "string", "isGraduated": true, "tier": "native", "externalPoolAddress": "string", "price": "string", "change24h": 0, "volume24h": "string", "liquidity": "string", "marketCap": "string", "pair": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "pair": "string", "tokenAName": "string", "tokenBName": "string", "tokenASymbol": "string", "tokenBSymbol": "string", "tokenA": "string", "tokenB": "string", "reserveA": "string", "reserveB": "string", "forestIndex": 0, "isGraduated": true, "tokensSold": "string", "tokensToPurchase": "string", "price": "string", "tokenId": "07dfef4c-e677-4ce6-87a3-cd348338445f" }, "buyFee": 0, "sellFee": 0, "buybackPercent": 0, "reservePercent": 0, "stakingPercent": 0, "liquidityPercent": 0, "rewardPoolPercent": 0, "ownerAddress": "string", "allTimeHigh": "string", "txnCount24h": 0, "stakingContractAddress": "string", "escrowContractAddress": "string", "coinflipContractAddress": "string", "creatorFees": "string", "createdAt": "2019-08-24T14:15:22Z", "version": 0, "curveType": 0, "graduationThreshold": 0, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "symbol": "string", "totalSupply": 0, "status": "live"}Optional for Harness drafts; required for website creation.
binaryBuy fee percentage (0-100)
0 <= value <= 100Sell fee percentage (0-100)
0 <= value <= 100Buyback percentage (0-100)
0 <= value <= 100Reserve/Treasury allocation percentage (0-100)
0 <= value <= 100Staking allocation percentage (0-100)
0 <= value <= 100Liquidity allocation percentage (0-100)
1 <= value <= 100Reward pool allocation percentage (0-100)
0 <= value <= 100Bonding curve type: 0 = Logarithmic, 1 = Linear, 2 = Exponential
0 <= value <= 2Graduation limit in whole FOREST tokens
1 <= value <= 21474836473 <= length3 <= length